Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 699308 - [highlighter] highlighter closes during iframe requests
: [highlighter] highlighter closes during iframe requests
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: Firefox 10
Assigned To: Mihai Sucan [:msucan]
: (Unavailable until Nov 1) Brian Grinstead [:bgrins]
Depends on:
  Show dependency treegraph
Reported: 2011-11-02 18:19 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2011-11-25 06:25 PST (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

proposed fix (1.39 KB, patch)
2011-11-05 11:16 PDT, Mihai Sucan [:msucan]
rcampbell: feedback+
Details | Diff | Splinter Review
fix + test (4.84 KB, patch)
2011-11-06 06:52 PST, Mihai Sucan [:msucan]
rcampbell: review+
Details | Diff | Splinter Review

Description Rob Campbell [:rc] (:robcee) 2011-11-02 18:19:28 PDT

1. open a page with AJAX on it. (e.g.,
2. open the highlighter
3. wait.


highligher stays up.


When an XMLRPC request fires, the highlighter closes.
Comment 1 Mihai Sucan [:msucan] 2011-11-03 03:16:30 PDT
This is caused by the InspectorProgressListener, see onStateChange():

    // If the request is about to happen in a new window, we are not concerned
    // about the request.
    if (aProgress.DOMWindow != {

The check above is not sufficient.
Comment 2 Mihai Sucan [:msucan] 2011-11-05 11:16:22 PDT
Created attachment 572216 [details] [diff] [review]
proposed fix

This is the proposed fix. We just needed more fine-tuning of filtering the states. Please test and let me know if this patch fixes the problem. It does on my system.

The patch is missing a test because (1) it's late here and (2) we can't run mochitests anymore.

If we get a fix for running mochitests by tomorrow or Monday, I'd happily write a test for this patch.

Given the importance of this fix we should try as much as possible to land this in time for fx10.

Looking forward for your feedback. Thank you!
Comment 3 Rob Campbell [:rc] (:robcee) 2011-11-05 12:47:16 PDT
tests should be fixed now if you repull from m-c or fx-team.

I'll test this locally and give it a read through. Thanks!
Comment 4 Rob Campbell [:rc] (:robcee) 2011-11-05 15:28:20 PDT
Comment on attachment 572216 [details] [diff] [review]
proposed fix

This tested well here. I ran it against Yahoo's front page and moused over the middle part of the page that has the different stories associated with pictures and the Highlighter stayed up. I'll look around on a couple of other sites I was seeing this happening on, but I think this'll work.
Comment 5 Mihai Sucan [:msucan] 2011-11-06 06:52:14 PST
Created attachment 572293 [details] [diff] [review]
fix + test

Updated patch. Added a mochitest. Two javascript:location.reload() calls in the iframe are sufficient to trigger the bug.

Looking forward for your review. Thank you!

(asking both for review, I don't know who has time to get to review the patch sooner)
Comment 6 Rob Campbell [:rc] (:robcee) 2011-11-06 13:26:57 PST
Comment on attachment 572293 [details] [diff] [review]
fix + test

Comment 8 Rob Campbell [:rc] (:robcee) 2011-11-07 06:58:41 PST
Comment 9 Teodosia Pop 2011-11-25 06:25:32 PST
Verified fixed using
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:10.0a2) Gecko/20111124 Firefox/10.0a2
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0a2) Gecko/20111123 Firefox/10.0a2

Note You need to log in before you can comment on or make changes to this bug.